Subject: bug#27491: Indentation issue in emacs

From: Alex Kost <[email-masked]>
Date: Wed, 28 Jun 2017 15:35:58 +0300

Arun Isaac (2017-06-27 11:44 +0530) wrote:

> Ok, fixed! :-)
>
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=2482c02f3b23b2490a6647e0717cf8a4ccf3f6a8
>
> However, I think this is a hack, and the better solution would be to
> actually fix the underlying indentation issue. But, I am too lazy to
> find out how. :-P

I'm not sure what you mean by a "fix".  This is an Emacs issue, and it
was there since... I don't know, always.  Moreover, I don't think it's a
bug; it's just how Emacs finds a beginning of the top-level sexp – it
"sees" a leading parenthesis on a line and it considers it to be a
beginning of the sexp.

-- 
Alex